=head1 NAME

Gtk2::Entry

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Entry

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::CellEditable
  Gtk2::Editable


=head1 METHODS

=head2 widget = Gtk2::Entry-E<gt>B<new> 

=over

=back

=head2 widget = Gtk2::Entry-E<gt>B<new_with_max_length> ($max)

=over

=over

=item * $max (integer) 

=back

=back

=head2 boolean = $entry-E<gt>B<get_activates_default> 

=over

=back

=head2 $entry-E<gt>B<set_activates_default> ($setting)

=over

=over

=item * $setting (boolean) 

=back

=back

=head2 double = $entry-E<gt>B<get_alignment> 

=over

Since: gtk+ 2.4

=back

=head2 $entry-E<gt>B<set_alignment> ($xalign)

=over

=over

=item * $xalign (double) 

=back

Since: gtk+ 2.4

=back

=head2 $entry-E<gt>B<append_text> ($text)

=over

=over

=item * $text (string) 

=back

=back

=head2 entrycompletion or undef = $entry-E<gt>B<get_completion> 

=over

Since: gtk+ 2.4

=back

=head2 $entry-E<gt>B<set_completion> ($completion)

=over

=over

=item * $completion (Gtk2::EntryCompletion or undef) 

=back

Since: gtk+ 2.4

=back

=head2 adjustment or undef = $entry-E<gt>B<get_cursor_hadjustment> 

=over

Since: gtk+ 2.12

=back

=head2 $entry-E<gt>B<set_cursor_hadjustment> ($adjustment)

=over

=over

=item * $adjustment (Gtk2::Adjustment or undef) 

=back

Since: gtk+ 2.12

=back

=head2 $entry-E<gt>B<set_editable> ($editable)

=over

=over

=item * $editable (boolean) 

=back

=back

=head2 boolean = $entry-E<gt>B<get_has_frame> 

=over

=back

=head2 $entry-E<gt>B<set_has_frame> ($setting)

=over

=over

=item * $setting (boolean) 

=back

=back

=head2 border or undef = $entry-E<gt>B<get_inner_border> 

=over

Since: gtk+ 2.10

=back

=head2 $entry-E<gt>B<set_inner_border> ($border)

=over

=over

=item * $border (Gtk2::Border or undef) 

=back

Since: gtk+ 2.10

=back

=head2 character = $entry-E<gt>B<get_invisible_char> 

=over

=back

=head2 $entry-E<gt>B<set_invisible_char> ($ch)

=over

=over

=item * $ch (character) 

=back

=back

=head2 layout = $entry-E<gt>B<get_layout> 

=over

=back

=head2 integer = $entry-E<gt>B<layout_index_to_text_index> ($layout_index)

=over

=over

=item * $layout_index (integer) 

=back

Since: gtk+ 2.6

=back

=head2 (x, y) = $entry-E<gt>B<get_layout_offsets> 

=over

=back

=head2 integer = $entry-E<gt>B<get_max_length> 

=over

=back

=head2 $entry-E<gt>B<set_max_length> ($max)

=over

=over

=item * $max (integer) 

=back

=back

=head2 $entry-E<gt>B<set_position> ($position)

=over

=over

=item * $position (integer) 

=back

=back

=head2 $entry-E<gt>B<prepend_text> ($text)

=over

=over

=item * $text (string) 

=back

=back

=head2 $entry-E<gt>B<select_region> ($start, $end)

=over

=over

=item * $start (integer) 

=item * $end (integer) 

=back

=back

=head2 string = $entry-E<gt>B<get_text> 

=over

=back

=head2 integer = $entry-E<gt>B<text_index_to_layout_index> ($text_index)

=over

=over

=item * $text_index (integer) 

=back

Since: gtk+ 2.6

=back

=head2 $entry-E<gt>B<set_text> ($text)

=over

=over

=item * $text (string) 

=back

=back

=head2 boolean = $entry-E<gt>B<get_visibility> 

=over

=back

=head2 $entry-E<gt>B<set_visibility> ($visible)

=over

=over

=item * $visible (boolean) 

=back

=back

=head2 integer = $entry-E<gt>B<get_width_chars> 

=over

=back

=head2 $entry-E<gt>B<set_width_chars> ($n_chars)

=over

=over

=item * $n_chars (integer) 

=back

=back


=head1 PROPERTIES

=over

=item 'activates-default' (boolean : readable / writable / private)

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed

=item 'cursor-position' (integer : readable / private)

The current position of the insertion cursor in chars

=item 'editable' (boolean : readable / writable / private)

Whether the entry contents can be edited

=item 'has-frame' (boolean : readable / writable / private)

FALSE removes outside bevel from entry

=item 'inner-border' (Gtk2::Border : readable / writable / private)

Border between text and frame. Overrides the inner-border style property

=item 'invisible-char' (Glib::UInt : readable / writable / private)

The character to use when masking entry contents (in "password mode")

=item 'max-length' (integer : readable / writable / private)

Maximum number of characters for this entry. Zero if no maximum

=item 'scroll-offset' (integer : readable / private)

Number of pixels of the entry scrolled off the screen to the left

=item 'selection-bound' (integer : readable / private)

The position of the opposite end of the selection from the cursor in chars

=item 'shadow-type' (Gtk2::ShadowType : readable / writable / private)

Which kind of shadow to draw around the entry when has-frame is set

=item 'text' (string : readable / writable / private)

The contents of the entry

=item 'truncate-multiline' (boolean : readable / writable / private)

Whether to truncate multiline pastes to one line.

=item 'visibility' (boolean : readable / writable / private)

FALSE displays the "invisible char" instead of the actual text (password mode)

=item 'width-chars' (integer : readable / writable / private)

Number of characters to leave space for in the entry

=item 'xalign' (Glib::Float : readable / writable / private)

The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

=back


=head1 SIGNALS

=over

=item B<activate> (Gtk2::Entry)

=item B<move-cursor> (Gtk2::Entry, Gtk2::MovementStep, integer, boolean)

=item B<insert-at-cursor> (Gtk2::Entry, string)

=item B<delete-from-cursor> (Gtk2::Entry, Gtk2::DeleteType, integer)

=item B<backspace> (Gtk2::Entry)

=item B<cut-clipboard> (Gtk2::Entry)

=item B<copy-clipboard> (Gtk2::Entry)

=item B<paste-clipboard> (Gtk2::Entry)

=item B<toggle-overwrite> (Gtk2::Entry)

=item B<populate-popup> (Gtk2::Entry, Gtk2::Menu)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::DeleteType

=over

=item * 'chars' / 'GTK_DELETE_CHARS'

=item * 'word-ends' / 'GTK_DELETE_WORD_ENDS'

=item * 'words' / 'GTK_DELETE_WORDS'

=item * 'display-lines' / 'GTK_DELETE_DISPLAY_LINES'

=item * 'display-line-ends' / 'GTK_DELETE_DISPLAY_LINE_ENDS'

=item * 'paragraph-ends' / 'GTK_DELETE_PARAGRAPH_ENDS'

=item * 'paragraphs' / 'GTK_DELETE_PARAGRAPHS'

=item * 'whitespace' / 'GTK_DELETE_WHITESPACE'

=back


=head2 enum Gtk2::MovementStep

=over

=item * 'logical-positions' / 'GTK_MOVEMENT_LOGICAL_POSITIONS'

=item * 'visual-positions' / 'GTK_MOVEMENT_VISUAL_POSITIONS'

=item * 'words' / 'GTK_MOVEMENT_WORDS'

=item * 'display-lines' / 'GTK_MOVEMENT_DISPLAY_LINES'

=item * 'display-line-ends' / 'GTK_MOVEMENT_DISPLAY_LINE_ENDS'

=item * 'paragraphs' / 'GTK_MOVEMENT_PARAGRAPHS'

=item * 'paragraph-ends' / 'GTK_MOVEMENT_PARAGRAPH_ENDS'

=item * 'pages' / 'GTK_MOVEMENT_PAGES'

=item * 'buffer-ends' / 'GTK_MOVEMENT_BUFFER_ENDS'

=item * 'horizontal-pages' / 'GTK_MOVEMENT_HORIZONTAL_PAGES'

=back


=head2 enum Gtk2::ShadowType

=over

=item * 'none' / 'GTK_SHADOW_NONE'

=item * 'in' / 'GTK_SHADOW_IN'

=item * 'out' / 'GTK_SHADOW_OUT'

=item * 'etched-in' / 'GTK_SHADOW_ETCHED_IN'

=item * 'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

